#! /bin/bash

set -e

export DEBIAN_FRONTEND="noninteractive"

touch /chroot_scripts/live_list

for live_list in /chroot_scripts/live-lists/*.list
do
	for pkg in $(cat $live_list)
	do
		if [[ $pkg != "#"* ]]
		then
			echo $pkg >> /chroot_scripts/live_list
		fi
	done
done

apt-get install --yes --no-install-recommends --option Dpkg::Options::="--force-confnew" --option Dpkg::Options::="--force-overwrite" $(cat /chroot_scripts/live_list | tr "\n" " ")

systemctl mask fwupd || true
systemctl mask nmdb || true
systemctl mask gnome-remote-desktop || true
systemctl mask gnome-remote-desktop-configuration || true
systemctl mask NetworkManager-wait-online || true
